#include <cstdio>
#include <set>

using namespace std;

const int MAX_N = 50000;

int N;
int V[MAX_N];
int newV[MAX_N];
int ok[MAX_N];

bool check() {
  bool answer = true;
  int i, j;
  for (j = 0; j < N; j++) {
    ok[j] = false;
  }
  for (i = 0, j = 0; i < N && j < N; ) {
    while (j < N && newV[i] != V[j]) {
      j++;
    }
    if (j < N && newV[i] == V[j]) {
      ok[j] = true;
      j++;
      i++;
    }
  }
  for (j = 0; i < N && j < N; ) {
    while (j < N && ok[j] == true) {
      j++;
    }
    if (newV[i] == V[j]) {
      ok[j] = true;
      j++;
      i++;
    } else {
      answer = false;
      //printf("%d %d %d\n", i, j, newV[i]);
      break;
    }
  }
  return answer;
}

bool isDone() {
  bool answer = true;
  int i;
  for (i = 0; i + 1 < N; i++) {
    if (!(V[i] <= V[i + 1])) {
      answer = false;
    }
  }
  return answer;
}

int main() {
  bool ok = true;
  int i;
  FILE *in, *out;
  in = fopen("specsort.in", "r");
  fscanf(in, "%d", &N);
  for (i = 0; i < N; i++) {
    fscanf(in, "%d", &V[i]);
  }
  fclose(in);
  
  bool reachedEOF = false;
  out = fopen("specsort.out", "r");
  while (!isDone() && !reachedEOF) {
    for (i = 0; i < N; ++i) {
      if (fscanf(out, "%d", &newV[i]) != 1) {
        reachedEOF = true;
      }
    }
    /*
    if (check() == 0) {
      for (i = 0; i < N; ++i) {
        printf("%d ", V[i]);
      }
      printf("\n");
      for (i = 0; i < N; ++i) {
        printf("%d ", newV[i]);
      }
      printf("\n");
    }//*/
    //printf("check = %d\n", check());
    ok &= check();
    for (i = 0; i < N; ++i) {
      V[i] = newV[i];
    }
  }
  fclose(out);
  //printf("%d\n", moves);
  if (isDone() && ok) {
    fprintf(stderr, "OK!");
    printf("10");
  } else {
    fprintf(stderr, "Raspuns gresit.");
    printf("0");
  }
  return 0;
}

